# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-rottentomatoes
Version:        1.0.1
Release:        1%{?dist}
Summary:        rottentomatoes offers an easy-to-use Python wrapper to interact with the Rotten Tomatoes API

Group:          Development/Languages
License:        Unlicense
URL:            https://github.com/zachwill/rottentomatoes
Source0:        python-rottentomatoes-1.0.1.tar.bz2

BuildArch:      noarch
BuildRequires:  python-devel

%description
rottentomatoes offers an easy-to-use Python wrapper to interact with the Rotten Tomatoes API

%prep
%setup -q


%build
# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Tue Apr 16 2013 Benjamin Rose <benrose@cs.princeton.edu>
- Initial release
